Skip to main content
`Ctrl`+`K`

# skbio.alignment.make_identity_substitution_matrix

skbio.alignment.make_identity_substitution_matrix(match_score, mismatch_score, alphabet='ACGTU')

  Generate substitution matrix where all matches are scored equally.

  Parameters:
    match_score int, float

      The score that should be assigned for all matches. This value is typically positive.

    mismatch_score int, float

      The score that should be assigned for all mismatches. This value is typically negative.

    alphabet iterable of str, optional

      The characters that should be included in the substitution matrix.

  Returns:
    dict of dicts

      All characters in alphabet are keys in both dictionaries, so that any pair of characters can be looked up to get their match or mismatch score.

  Warning

  `make_identity_substitution_matrix` is deprecated as of `0.4.0`. It has been replaced by a SubstitutionMatrix class. Additional details at scikit-bio/scikit-bio#1913.